
Application: gvSIG desktop - gvSIG add-on requests #5226
Plugins instalable y portable
04/21/2020 11:24 AM - Álvaro Anguix

Status: Closed Start date: 04/21/2020
Priority: Normal Due date:
Assignee: Joaquín  del Cerro Murciano % Done: 0%
Category: Add-ons Estimated time: 0.00 hour
Target version: 2.5.1-3025 (no-usable) Spent time: 0.00 hour
Add-on name: Unknown Add-on code:
Add-on operation requested:Add to add-ons repository
Description
Adjunto 2 ficheros de texto.
    -  PLUGINS instalable:

- Listado de plugins que deben ir instalados por defecto
- Listado de plugins que deben ir en la distro sin ir instalados
- Notas con cosas como plugins a borrar por estar repetidos

    -  PLUGINS portable:
- Listado de plugins que no deben ir en la portable
- Listado de plugins que deben ir pero no instalados por defecto

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5257: El plugin de Add b... Closed 05/04/2020

History
#1 - 04/21/2020 11:27 AM - Álvaro Anguix
- Add-on operation requested set to Add to add-ons repository
- Tracker changed from gvSIG bugs to gvSIG add-on requests

#2 - 04/24/2020 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3017

#3 - 04/25/2020 12:11 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3017 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#4 - 04/25/2020 10:30 AM - Joaquín  del Cerro Murciano
- File excludes.portable added

#5 - 04/25/2020 11:17 AM - Joaquín  del Cerro Murciano
- File defaultPackages added

#6 - 04/25/2020 11:17 AM - Joaquín  del Cerro Murciano
- File addons-2_5_1.txt added

#7 - 04/25/2020 12:45 PM - Joaquín  del Cerro Murciano
- File gvspkg.options added

#8 - 04/25/2020 01:05 PM - Joaquín  del Cerro Murciano

Unas notas...

Para configurar una distribucion de gvSIG desktop se manejan tres ficheros.
    -  excludes.portable
  La portable llevara los mismos addons que la instalable eliminando los que
  se indiquen en este fichero.

    -  defaultPackages
  Que lleva los nombre de paquetes que se deben de marcar por defecto durante
  el proceso de instalacion.

    -  gvspkg.options
  Que indica que "paquetes" e "indices" deben incluirse o no en la distribucion.
  El propio fichero lleva incluida una descripcion al inicio.

Para identificar un addon en cualquiera de estos fichero se utiliza el "codigo" de este.
Para consultar un listado completo de los codigos de addons podemos consultar el contenido de la carpeta:

    -  http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/

Cada carpeta dentro de esta, esta nombrada con el codigo del addon.
He adjuntado el fichero "addons-2_5_1.txt" con una lista de los codigos de
addon disponibles.

Estos ficheros de configuracion se encuentran en la carpeta:

    -  http://downloads.gvsig.org/download/gvsig-desktop-testing/dists/2.5.1/

Ademas de haberlos adjuntado al ticket.

#9 - 04/25/2020 05:43 PM - Álvaro Anguix
- Status changed from New to Fixed

#10 - 04/25/2020 05:46 PM - Álvaro Anguix
- Status changed from Fixed to New

#11 - 04/25/2020 07:37 PM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

Tras revisar la instalable, faltan cosas.
Aquí van (abajo los códigos de cada uno):
- Geoprocess: Aoristic Clock Grid
- Geoprocess: Aoristic Clock
- Geoprocess: geocoding
- Geoprocess: Point Density Grid
- Geoprocess: Ring Map
- Import fields
- Quick Drawing
- Report by point
- Tabbed ToC
- Transform Geometries to 2D
- Vector legend: filtered heat map
- Vector legend: Proportional symbols
Que se corresponden con las carpetas del directorio indicado (http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/):
AoristicClock
AoristicClockGrid
GeocodingPlugin
PointDensityGrid
RingMap
ImportFields
QuickDrawing
ReportByPoint
TabbedToC
GeometriesTo2D
org.gvsig.legend.heatmapcomparison.app.mainplugin
org.gvsig.legend.proportionalsymbols.app.mainplugin

Por otro lado el plugin de  Vector legend: heat map tiene una versión instalada, pero también hay una versión anterior la 1.0.4.5 para borrar (la que
hay es la 1.0.44-47)

#12 - 04/25/2020 07:37 PM - Álvaro Anguix
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3044

#13 - 04/26/2020 06:43 PM - Joaquín  del Cerro Murciano

Se me ha olvidado subir al servidor el fichero defaultPackeges, solo lo adjunte al ticket.

#14 - 05/04/2020 02:04 PM - Álvaro Anguix
- Related to gvSIG bugs #5257: El plugin de Add basic time support no aparece en la 2.5.1 added

#15 - 05/09/2020 04:02 PM - Álvaro Anguix

En el build 3022 el plugin con las leyendas de gráficas (tartas y barras) no va instalado por defecto (y debería ir)

#16 - 05/09/2020 05:16 PM - Álvaro Anguix

...sobre el último comentario, son los 3 plugins relacionados con gráficas los que no van por defecto:

org.gvsig.chart.app.layoutplugin/
org.gvsig.chart.app.legendplugin/      
org.gvsig.chart.app.mainplugin/

#17 - 05/09/2020 05:55 PM - Joaquín  del Cerro Murciano

Quedamos que como no iban finos y en algun momento no lejano acabariamos dejandolos de mantener, ibamos a salir sin estar marcados para
instalar por defecto.

#18 - 05/09/2020 06:54 PM - Álvaro Anguix

ok

05/17/2024 3/4

http://downloads.gvsig.org/download/gvsig-desktop-testing/pool/


#19 - 05/13/2020 06:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3023

#20 - 05/14/2020 01:02 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3023 to 2.5.1-3024

#21 - 06/07/2020 01:17 PM - Óscar Martínez
- Target version changed from 2.5.1-3024 to 2.5.1-3025 (no-usable)

#22 - 06/18/2020 05:02 PM - Óscar Martínez
- Status changed from New to Fixed

#23 - 06/19/2020 09:12 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
PLUGINS_INSTALABLE 3.74 KB 04/21/2020 Álvaro Anguix
PLUGINS_PORTABLE 1.8 KB 04/21/2020 Álvaro Anguix
excludes.portable 1.24 KB 04/25/2020 Joaquín  del Cerro Murciano
defaultPackages 3.8 KB 04/25/2020 Joaquín  del Cerro Murciano
addons-2_5_1.txt 6.2 KB 04/25/2020 Joaquín  del Cerro Murciano
gvspkg.options 12.4 KB 04/25/2020 Joaquín  del Cerro Murciano
